By using this site you agree to the use of cookies for analytics, personalised content and ads. Read more

Alcatel One touch 890 D

This topic has been archived. To keep discussions in the Skype Community relevant we archive topics that haven't seen activity in the past 6 months. Read more about about archiving
Novel Tourist

I just got an Alcatel One Touch 890 D with android 2.2.2 and have been trying to install skype on it but it keeps telling me that I cannot since the system is not compatible.

 

Did someone of you had the same problem? Is there a solution?

 

Thank you in advance!

Message 1 of 8 (4,299 Views)
7 Replies
Casual Tourist
Same problem here, please help!!!
Message 2 of 8 (4,143 Views)
Novel Tourist

I have the same problem, have you already found a sollution?

Message 3 of 8 (4,092 Views)
Novel Tourist

I have the same problem and, in addition, I installed Skype 1.0.0.983.apk and Skype 1.0.0.984.apk but I'm not able to login on skype....

 

Please find a solution

 

Thanks

Message 4 of 8 (4,073 Views)
Novel Tourist
I got a message. Asking me to reinstall Skype but it did not work
Message 5 of 8 (4,053 Views)
Novel Tourist

mine to all time reinstal reinstal 

Message 6 of 8 (4,032 Views)
Casual Adventurer

I have the same problem (and know dozen people who has the same). As I have heard the Skype for android works properly just with devices with 600MHz frequency processor or more - our Alcatel One touch 890 D has just 416MHz.

Message 7 of 8 (3,043 Views)
Novel Tourist

I have the same problem 

Message 8 of 8 (2,941 Views)
Discussion Stats
  • 7 replies
  • 4300 views
  • 5 kudos
  • 8 in conversation